"use strict";
const common_vendor = require("../common/vendor.js");
require("../common/libraries/request.js");
require("../common/store/useWatermarkStore.js");
require("../common/store/useWeAppAuthStore.js");
require("../common/store/useWorkStore.js");
const common_libraries_userUserLogin = require("../common/libraries/userUserLogin.js");
require("../gen/Apis.js");
require("../common/libraries/apiLoading.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "loading",
  setup(__props) {
    common_vendor.onShow(async () => {
      var _a;
      common_vendor.index.showLoading({
        title: "加载中...",
        mask: true
      });
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      common_vendor.index.hideLoading();
      if (common_libraries_userUserLogin.getUser.getLoginStatus()) {
        common_vendor.index.navigateTo({
          url: "/pages/index/index"
        });
      } else {
        common_vendor.index.redirectTo({
          url: "/pages/login"
        });
      }
    });
    return (_ctx, _cache) => {
      return {};
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/loading.vue"]]);
wx.createPage(MiniProgramPage);
